package com.bonus.gs.sub.evaluate.evaluate.dao;


import com.bonus.gs.sub.evaluate.evaluate.beans.EvalSummaryBean;
import com.bonus.gs.sub.evaluate.evaluate.beans.OutSourceBean;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author xliu
 * @date 2024/11/15 15:24
 */
@Mapper
public interface EvalSummaryDao {

    /**
     * 新增评价汇总
     *
     * @param bean
     * @return AjaxRes
     */
    int addEvalSummary(EvalSummaryBean bean);

    /**
     * 线下评价汇总列表
     * @param bean 查询条件
     * @return AjaxRes
     */
    List<OutSourceBean> getEvalSummaryList(EvalSummaryBean bean);

    List<OutSourceBean> getOfflineSummaryList(EvalSummaryBean bean);

    int deleteOffEvaluateById(String id);

    List<OutSourceBean> dedicatedEvalSummaryList(EvalSummaryBean bean);
}
